net.minecraft.util

## Class HttpUtil

- java.lang.Object
- - net.minecraft.util.HttpUtil

-     public class HttpUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `buildPostString(Map par0Map)` Builds an encoded HTTP POST content string from a string map
    `static void` | `downloadTexturePack(File par0File, String par1Str, IDownloadSuccess par2IDownloadSuccess, Map par3Map, int par4, IProgressUpdate par5IProgressUpdate)`
    `static String` | `func_104145_a(URL par0URL)`
    `static int` | `func_76181_a()`
    `static String[]` | `loginToMinecraft(ILogAgent par0ILogAgent, String par1Str, String par2Str)`
    `static String` | `sendPost(ILogAgent par0ILogAgent, URL par1URL, Map par2Map, boolean par3)` Sends a HTTP POST request to the given URL with data from a map
    `static String` | `sendPost(ILogAgent par0ILogAgent, URL par1URL, String par2Str, boolean par3)` Sends a HTTP POST request to the given URL with data from a string

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpUtil

          public HttpUtil()

  - ### Method Detail

    - #### buildPostString

          public static String buildPostString(Map par0Map)

      Builds an encoded HTTP POST content string from a string map

    - #### sendPost

          public static String sendPost(ILogAgent par0ILogAgent,
                        URL par1URL,
                        Map par2Map,
                        boolean par3)

      Sends a HTTP POST request to the given URL with data from a map

    - #### sendPost

          public static String sendPost(ILogAgent par0ILogAgent,
                        URL par1URL,
                        String par2Str,
                        boolean par3)

      Sends a HTTP POST request to the given URL with data from a string

    - #### downloadTexturePack

          public static void downloadTexturePack(File par0File,
                                 String par1Str,
                                 IDownloadSuccess par2IDownloadSuccess,
                                 Map par3Map,
                                 int par4,
                                 IProgressUpdate par5IProgressUpdate)

    - #### func_76181_a

          public static int func_76181_a()
                                  throws IOException

      Throws:
        `IOException`

    - #### loginToMinecraft

          public static String[] loginToMinecraft(ILogAgent par0ILogAgent,
                                  String par1Str,
                                  String par2Str)

    - #### func_104145_a

          public static String func_104145_a(URL par0URL)
                                      throws IOException

      Throws:
        `IOException`